use std::io::Write;
use std::os::unix::net::UnixStream;

fn main() {
    let socket = "/tmp/udsserver.sock";
    let stream_result = UnixStream::connect(socket);
    match stream_result {
        Ok(mut stream) => {
            let message = "Hello, World from RUST™️!";
            let mut size_buf = [0u8] ;
            size_buf[0] = message.len() as u8;
            stream.write(size_buf.as_slice()).unwrap();
            stream.write_all(message.as_bytes()).unwrap();
        }
        Err(e) => {
            println!("Error: {}", e);
        }
    }
}
